Change log for libytnef package in Ubuntu

116 of 16 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-11-09
Deleted in disco-proposed (Reason: moved to release)
libytnef (1.9.3-1) unstable; urgency=medium

  * New upstream release fixing the following:
    • [CVE-2017-9470] NULL pointer dereference in MAPIPrint.
      Closes: #870196.
    • [CVE-2017-9471] heap-based-buffer overflow in SwapWord.
      Closes: #870194.
    • [CVE-2017-9474] heap-based buffer overflow in DecompressRTF.
      Closes: #870192.
    • [CVE-2017-12142] SEGV in ytnef.c in SwapDWord.
      Closes: #870816.
    • [CVE-2017-12141] heap-buffer-overflow in TNEFFillMapi.
      Closes: #870815.
    • [CVE-2017-12144] allocation failure  in TNEFFillMapi.
      Closes: #870817.
  * Remove patch for CVE-2017-9058 already in this release
  * New maintainers for package (Closes: #460390)
  * Priority extra has been replaced by optional
  * Update Vcs-* for current infrastructure
  * Standards-Version updated to latest
  * Set debhelper compat level to 11

 -- Ricardo Mones <email address hidden>  Sun, 21 Oct 2018 00:36:17 +0200

Available diffs

Published in trusty-updates on 2018-05-31
Published in trusty-security on 2018-05-31
libytnef (1.5-6ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer overflow
    - debian/patches/CVE-2017-12141-and-9146.patch: fix in ytnef.c.
    - CVE-2017-12141
    - CVE-2017-9146
  * SECURITY UPDATE: heap-based buffer over-read
    - debian/patches/CVE-2017-9058.patch: fix in ytnef.c
    - CVE-2017-9058
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2017-9471.patch: fix in ytnef.c
    - CVE-2017-9471
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2017-9473.patch: fix in ytnef.c
    - CVE-2017-9473

 -- <email address hidden> (Leonidas S. Barbosa)  Thu, 31 May 2018 11:01:18 -0300
Superseded in disco-release on 2018-11-09
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-05-24
Deleted in artful-proposed (Reason: moved to release)
libytnef (1.9.2-2) unstable; urgency=medium

  * Add CVE information to previous changelog entry.
  * Add CVE-2017-9058.patch: Fix a heap buffer overflow in SIZECHECK macro
    (closes: #862556).

 -- Jordi Mallach <email address hidden>  Mon, 22 May 2017 23:51:52 +0200

Available diffs

Superseded in trusty-updates on 2018-05-31
Superseded in trusty-security on 2018-05-31
libytnef (1.5-6ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - debian/patches/*: synchronize security fixes with Debian's
      1.5-6+deb8u1 release. Thanks to Jordi Mallach.
    - CVE-2017-6298, CVE-2017-6299, CVE-2017-6300, CVE-2017-6301,
      CVE-2017-6302, CVE-2017-6303, CVE-2017-6304, CVE-2017-6305,
      CVE-2017-6306, CVE-2017-6800, CVE-2017-6801, CVE-2017-6802

 -- Marc Deslauriers <email address hidden>  Fri, 12 May 2017 08:05:19 -0400
Superseded in artful-release on 2017-05-24
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
libytnef (1.9.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - This release contains additional security fixes:
      + Invalid memory access (heap overrun) in handling LONG data types
      + Missing check for fields of size 0
      + Potential buffer overrun in incoming compressed RTF streams
  * Add CVE information to previous changelog entry.
  * Install pkg-config .pc file to -dev package.

 -- Jordi Mallach <email address hidden>  Tue, 07 Mar 2017 13:46:50 +0100

Available diffs

Superseded in zesty-release on 2017-03-07
Deleted in zesty-proposed on 2017-03-09 (Reason: moved to release)
libytnef (1.9.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - This release contains fixes for many vulnerabilities. See more
      details at: http://www.openwall.com/lists/oss-security/2017/02/15/4
  * Add -Wall -Wextra to CFLAGS via DEB_CFLAGS_MAINT_APPEND.
  * Add -Wl,--as-needed to LDFLAGS via DEB_LDFLAGS_MAINT_APPEND.
  * Add Suggests for required Perl modules to run ytnefprocess.pl.

 -- Jordi Mallach <email address hidden>  Wed, 22 Feb 2017 00:50:36 +0100

Available diffs

Superseded in zesty-release on 2017-02-22
Deleted in zesty-proposed on 2017-02-23 (Reason: moved to release)
libytnef (1.9-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - This release unifies libytnef and ytnef in a single autotools package.
      The source should be renamed to ytnef, but will do later on due to
      the stretch freeze.
  * Drop all patches, merged upstream.
  * Add Vcs-* fields pointing to new collab-maint git repo.
  * Bump debhelper compat to v10.
  * Update to Standards-Version 3.9.8, with no changes needed.
  * Update Homepage field and watch file to point to Github project.
  * Rewrite rules using dh sequencer.
  * Rewrite copyright using machine-readable format v1.0.
  * Pass --list-missing to dh_install.
  * Pass -c4 to dpkg-gensymbols.
  * Introduce a new ytnef-tools binary and tweak descriptions to mention it.
  * Enable all hardening options.

 -- Jordi Mallach <email address hidden>  Wed, 04 Jan 2017 08:02:02 +0100

Available diffs

Superseded in zesty-release on 2017-01-17
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-02-19
Superseded in xenial-release on 2016-02-19
Deleted in xenial-proposed (Reason: moved to release)
libytnef (1.5-9) unstable; urgency=medium

  * QA upload.
  * Add patch to fix FTBFS with clang. Closes: #742146.

 -- Ricardo Mones <email address hidden>  Sat, 22 Aug 2015 11:10:24 +0200

Available diffs

Superseded in xenial-release on 2015-10-24
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-12-19
Deleted in trusty-proposed (Reason: moved to release)
libytnef (1.5-6) unstable; urgency=medium


  * QA upload.
  * Build using dh-autoreconf.
  * Multiarchify the packages.

 -- Matthias Klose <email address hidden>  Wed, 18 Dec 2013 13:04:19 +0100

Available diffs

Superseded in trusty-release on 2013-12-19
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
libytnef (1.5-5) unstable; urgency=low


  * QA upload.
  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.
  * Fix heap overflow (CVE-2010-5109). Closes: #705468.
  * Use dpkg-buildflags for the build.

 -- Matthias Klose <email address hidden>  Thu, 10 Oct 2013 14:16:21 +0200

Available diffs

Superseded in saucy-release on 2013-10-10
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
libytnef (1.5-4build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.
 -- Colin Watson <email address hidden>   Fri, 05 Oct 2012 10:49:51 +0100

Available diffs

Superseded in quantal-release on 2012-10-05
Published in precise-release on 2011-10-17
libytnef (1.5-4) unstable; urgency=low

  * QA upload.
  * source/format, patches/series, patches/update_autofiles.patch
  - Switch to dpkg-source 3.0 (quilt) format 
  * debian/control
  - Bump Standards-Version to 3.9.2 (no other changes required)
  - Add sourceforge project URL as Homepage field
  - Add ${misc:Depends} to all binary packages (lintian)
  * debian/rules
  - Add recommended targets build-arch and build-indep (lintian)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 11:13:11 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
libytnef (1.5-3) unstable; urgency=low

  * QA upload.
  * Get rid of unneeded *.la files (Closes: #622540).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  06 Jun 2011 08:23:08 +0000

Available diffs

Superseded in oneiric-release on 2011-06-06
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
libytnef (1.5-2) unstable; urgency=low

  * Orphaning this package. Thanks for the NMUs!
  * Bump debhelper compat to 7 and Standards-Version to 3.8.3.
  * Make dependency between libytnef0-dev and libytnef0 more strict.

Available diffs

Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
libytnef (1.5-1build1) karmic; urgency=low

  * No-change rebuild to gain FORTIFY defaults.

 -- Kees Cook <email address hidden>   Mon, 11 May 2009 12:07:41 -0700

Available diffs

Superseded in karmic-release on 2009-05-11
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
Superseded in hardy-release on 2008-03-12
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
libytnef (1.5-1) unstable; urgency=low


  * Initial release.

 -- Joshua Kwan <email address hidden>  Mon,  9 May 2005 20:31:56 -0700
116 of 16 results